Summary:	ROSA Hardware Probe Tool
Name:		hw-probe
Version:	1.4
Release:	2
Group:		Development/Other
License:	LGPLv2.1+
URL:		https://linux-hardware.org
Source0:	hw-probe-%{version}.tar.gz
Requires:	perl-Digest-SHA
Requires:	curl
Requires:	usermode-consoleonly
Requires:	hwinfo
Requires:	dmidecode
Requires:	pciutils
Requires:	usbutils
Requires:	pnputils
Requires:	smartmontools
Requires:	edid-decode
Suggests:	hdparm
Suggests:	sysstat
Suggests:	acpica
Suggests:	mesa-demos
Suggests:	memtester
Suggests:	rfkill
Suggests:	mcelog
Suggests:	cpuid
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define debug_package %{nil}

%description
A tool to probe for hardware, check its operability and upload result
to the ROSA Linux Hardware Database.

%prep
%setup -q -n hw-probe-%{version}
chmod 0644 README.md

%build
# Nothing to build yet

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}

# consolehelper config
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name}  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<EOF
USER=<user>
PROGRAM=/usr/sbin/%{name}
FALLBACK=false
SESSION=true
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%changelog

* Fri Apr 20 2018 Andrey Ponomarenko <andrewponomarenko@yandex.ru> 1.4-2
- (8aaf6ac) - Require perl-Digest-SHA and edid-decode
- (8aaf6ac) - Added suggests for most interesting packages: hdparm, sysstat, acpica, mesa-demos, memtester, rfkill, mcelog and cpuid


